Demand 5

Demand 5


Catch up on Channel 5 programmes in this Demand 5 app for Android smartphones and tablet devices. Currently compatible with a range of Samsung, Motorola, Nexus, Sony and Hudl devices.

Presently this app does not support playback on 3G and does not support Chromecast.

--
● This app provides a free catch up service for a wide selection of Channel 5 shows and archive programmes.
● To ensure you are provided with the best viewing experience, this application requires Wifi.
● You will need Android OS version 3.0 (“Honeycomb”) or above to use this application.
● Rights restrictions around content mean that not all programmes can be made available.
● This application can only be used within the UK.
● Channel 5 apps contain cookies. For details on our cookie policy please visit www.channel5.com. By downloading this app you are agreeing to our use of cookies.

--

The Demand 5 App currently supports operation on

● Samsung Galaxy
● HTC One mini
● Tesco Hudl
● Kindle Fire HDX 7-inch
● Kindle Fire HDX 8.9 -inch
● LG Optimus
● Motorola Xoom
● Nexus 10
● Nexus 5
● Nexus 7
● Sony Xperia T
● Sony Xperia U
● Sony Xperia Z
● Versus TouchTab 9.7 inch

Recent changes:
Lollipop ready! This update is compatible with the new Android 5.0 (Lollipop OS).
Add to list
Free
65
3.3
User ratings
6206
Installs
500,000+
Concerns
0
File size
3226 kb
Screenshots
Screenshot of Demand 5 Screenshot of Demand 5 Screenshot of Demand 5 Screenshot of Demand 5 Screenshot of Demand 5 Screenshot of Demand 5 Screenshot of Demand 5 Screenshot of Demand 5 Screenshot of Demand 5 Screenshot of Demand 5 Screenshot of Demand 5 Screenshot of Demand 5 Screenshot of Demand 5
About Demand 5
Catch up on Channel 5 programmes in this Demand 5 app for Android smartphones and tablet devices. Currently compatible with a range of Samsung, Motorola, Nexus, Sony and Hudl devices.

Presently this app does not support playback on 3G and does not support Chromecast.

--
● This app provides a free catch up service for a wide selection of Channel 5 shows and archive programmes.
● To ensure you are provided with the best viewing experience, this application requires Wifi.
● You will need Android OS version 3.0 (“Honeycomb”) or above to use this application.
● Rights restrictions around content mean that not all programmes can be made available.
● This application can only be used within the UK.
● Channel 5 apps contain cookies. For details on our cookie policy please visit www.channel5.com. By downloading this app you are agreeing to our use of cookies.

--

The Demand 5 App currently supports operation on

● Samsung Galaxy
● HTC One mini
● Tesco Hudl
● Kindle Fire HDX 7-inch
● Kindle Fire HDX 8.9 -inch
● LG Optimus
● Motorola Xoom
● Nexus 10
● Nexus 5
● Nexus 7
● Sony Xperia T
● Sony Xperia U
● Sony Xperia Z
● Versus TouchTab 9.7 inch

Recent changes:
Lollipop ready! This update is compatible with the new Android 5.0 (Lollipop OS).

User reviews of Demand 5
Write the first review for this app!
Android Market Comments
A Google User
Dec 11, 2014
Pants app Still very much the worst app i have ever used!!!! Still needing wifi to use even tho i have unlimited data even tho you DO NOT need a wifi connection.... I am having to uninstall and reinstall this app every day now ffs..... Extreamly bad Loading problems. Have to uninstall and reinstall for programmes to be listed! Forever having to restart my device can also ruin the battery! A major update is needed for this app! Sort it out please!
A Google User
Dec 11, 2014
Says I'm not in the UK so can't watch it. But I am!
A Google User
Dec 11, 2014
Terribly App will play for a couple of seconds at a time and just constantly pause all through whatever programme im trying to watch. Disappointing because if it wasnt for that it would be really good. .. So annoying :(
A Google User
Dec 10, 2014
Works fine on H+
A Google User
Dec 10, 2014
Be grate app if u didn't.have use wifi as how do u watch wen on.the move??